pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Build failure for ruby18-base-18.6.11 on OS X

Ruby-1.8.7 (now preview2) will include the fix.

Fri Feb  1 21:42:37 2008  Nobuyoshi Nakada

        * (darwin): _XOPEN_SOURCE is necessary to make ucontext_t
          consistent with the library implementation of MacOS X 10.5.

        * (darwin): ucontext on PowerPC MacOS X 10.5 is broken.

"Of course I love NetBSD":-)
OBATA Akio /

Home | Main Index | Thread Index | Old Index